%global debug_package %{nil}
%define ctp3_root /opt/ctp3-ipbus

Name:       ctp3-ipbus
Version:	29.2.0
Release:	0.1.rc03%{?dist}
Summary:	CTP3 ipbus - ctp software for ALICE RUN 3
Group: System Environment/Libraries
License: LGPL v3+
Source0: %{name}-%{version}.tar.gz

BuildRequires: cmake, doxygen, boost-devel
BuildRequires: cactuscore-uhal-grammars, cactuscore-uhal-log, cactuscore-uhal-uhal
BuildRequires: qt5-qtbase-devel
Requires: rarpd
Requires: cactuscore-uhal-python36
Requires: python3-future, python3-tabulate, python3-rpyc
Requires: python3-grpcio  python3-grpcio-tools, python3-googleapis-common-protos, python3-grpcio-reflection

%description
CTP3 ipbus - ctp software for ALICE RUN 3

%prep
%setup -q

%build
mkdir build
cd build
cmake ../ -DCMAKE_INSTALL_PREFIX=%{ctp3_root} -DCMAKE_BUILD_TYPE=Release
make %{?_smp_mflags}
cd ../

%install
rm -rf %{buildroot}
cd build
make install DESTDIR=%{buildroot}
find %{buildroot} -name "*.py" | xargs -I {} sed -i -e 's:^#.*:#!/usr/bin/python3:' {}
mkdir -p %{buildroot}%{_sysconfdir}/profile.d/
ln -sf %{ctp3_root}/etc/profile.d/uhal.sh %{buildroot}%{_sysconfdir}/profile.d/uhal.sh
ln -sf %{ctp3_root}/etc/this.sh %{buildroot}%{_sysconfdir}/profile.d/ctp3-ipbus.sh
cd ../

%files
%{ctp3_root}/*
%{_sysconfdir}/*

%changelog
